Announcement Announcement Module
Collapse
No announcement yet.
SpringIDE 1.2.5 and incomplete beans Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • SpringIDE 1.2.5 and incomplete beans

    Hi!

    I'm running SpringIDE 1.2.5 on eclipse 3.2M4.

    I have made a config set for the springbeans in a project. I try to mark this configset as incomplete by checking the incomplete checkbox when editing the configset and click Ok. When I then edit the configset again the incomplete checkbox isn't checked.

    I can't remember to have seen this in earlier versions of SpringIDE.

    Strange? Can this be a bug in SpringIDE 1.2.5? Can it be something I do wrong?


    -Kaj

  • #2
    We didn't check Spring IDE with Eclipse 3.2 yet.
    Do you have the same problem with Eclipse 3.1?

    Torsten

    Comment


    • #3
      Originally posted by Torsten Juergeleit
      We didn't check Spring IDE with Eclipse 3.2 yet.
      Do you have the same problem with Eclipse 3.1?

      Hi!

      Thanks for answering!

      Yes, I just tried with eclipse 3.1.1 and had the same problem there with SpringIDE 1.2.5.


      -Kaj

      Comment


      • #4
        Workarounds for this bug

        This is due a bug (dialog doesn't show the "real" state of the "Is incomplete" attribute) which is fixed now (refer to ticket #218).

        Meanwhile you can use one of the following workarounds:

        1. If you want to switch a config set's attribute "Is incomplete" from "selected" back to "deselected" you have to delete and re-create this config set. The initial state of "Is incomplete" is "deselected".

        2. Modify the corresponding <incomplete> tag (possible values are "true" or "false") in your Spring project's config file named ".springBeans" with a text editor.

        Sorry for this inconvenience.

        Torsten
        Last edited by Torsten Juergeleit; Jan 13th, 2006, 05:16 PM.

        Comment


        • #5
          Thanks for answering and for the workaround!


          -Kaj

          Comment


          • #6
            Updated version of Spring IDE 1.2.5 available

            An updated version of Spring IDE 1.2.5 is available from the updatesite. This was necessary due to the bug described in this forum entry.

            So you have to re-install Spring IDE from the updatesite.

            Torsten

            Comment


            • #7
              Originally posted by Torsten Juergeleit
              An updated version of Spring IDE 1.2.5 is available from the updatesite. This was necessary due to the bug described in this forum entry.
              So you have to re-install Spring IDE from the updatesite.

              Thanks! I just reinstalled SpringIDE 1.2.5 and now the incomplete checkbox seems to work as intended.

              Thanks for fixing this!


              -Kaj

              Comment


              • #8
                Originally posted by kajh
                I just reinstalled SpringIDE 1.2.5 and now the incomplete checkbox seems to work as intended.
                Maybe you should reinstall again. Depending on the time you reinstalled you missed the new "updated" version with a few bugfixes regarding the XML editor ;-)

                Torsten

                Comment

                Working...
                X